Skip to main content
Please refer to the Python SDK for a comprehensive guide on subaccount fund transfer via API

Request Body

FieldTypeNeedDescriptionExample
”account”stringrequiredSender account address42trU9A5…
“signature”stringrequiredSender account signature5j1Vy9Uq…
“timestamp”integerrequiredCurrent timestamp in milliseconds1716200000000
”expiry_window”integeroptionalSignature expiry in milliseconds30000
”to_account”stringrequiredRecipient wallet address69trU9A5…
“amount”decimal stringrequiredTransfer amount (in USDC)420.69
”idempotency_key”stringoptionalFull UUID. Prevents duplicate transfersf47ac10b-58cc-4372-a567-0e02b2c3d479
”agent_wallet”stringoptionalAgent wallet address69trU9A5…

Response

  • Status 200: Transfer completed successfully
  • Status 400: Bad request
  • Status 500: Internal server error